Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class TreeLineImage

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource
          org.richfaces.renderkit.html.images.TreeLineImage

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

Direct Known Subclasses:
  TreeLineLastImage

    public class TreeLineImage

extends org.richfaces.resource.AbstractJava2DUserResource
implements org.richfaces.resource.StateHolderResource

Author:
  Nick Belaevski

Field Summary
`protected Integer` | `trimColorValue`

Constructor Summary
`` | `TreeLineImage()`
`protected` | `TreeLineImage(Dimension dimension)`

Method Summary
`void` | `init()`
`boolean` | `isTransient()`
`void` | `paint(Graphics2D g2d)`
`void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
`void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource
`getDimension, getImageType, getLastModified, getResponseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trimColorValue

    protected Integer trimColorValue

Constructor Detail

### TreeLineImage

    public TreeLineImage()

### TreeLineImage

    protected TreeLineImage(Dimension dimension)

Method Detail

### init

    public void init()

### paint

    public void paint(Graphics2D g2d)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           DataOutput dataOutput)
                    throws IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `IOException`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          DataInput dataInput)
                   throws IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `IOException`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.